> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Configuration Options

| Configuration Option                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Data Type                               | Widget                                |
| :--------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :-------------------------------------- | :------------------------------------ |
| `is_mobile_webview`                      | Renders the widget in a mobile WebView. Executes URL updates in place of the JavaScript event postMessages.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Boolean                                 | All                                   |
| `language` (deprecated)                  | See the SSO language section for preferred settings. Currently, only U.S. English (en-us) and French (fr and fr-ca) are supported. Defaults to en-us.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | String                                  | All                                   |
| `ui_message_version`                     | Use this to specify which version of postMessage events are triggered. All new implementations must include this option when getting any widget URL and must set it to version 4. Prior versions are deprecated and supported only for existing partners.                                                                                                                                                                                                                                                                                                                                                                                        | Integer                                 | All                                   |
| `client_redirect_url`                    | A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with `oauth_referral_source: "APP"` or `is_mobile_webview: true`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | String                                  | Connect                               |
| `color_scheme`                           | Load the Connect widget in the specified `color_scheme`; options are `light` and `dark`. Defaults to `light`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | String                                  | Connect                               |
| `connections_use_case_filter`            | To use this parameter, you must also set `use_cases` in the same request. If `connections_use_case_filter` is set to `true`, the Connections Widget will show connections (members) with the `use_cases` you set. For example, if you set `connections_use_case_filter` to `true` and `use_cases` to `["PFM"]`, then only members containing `PFM` as one of its use cases will show in the widget. If you make the same request but set `use_cases` to `["PFM", "MONEY_MOVEMENT"]`, then members containing either use case will show in the widget.                                                                                            | Boolean                                 | Connections                           |
| `current_institution_code`               | Load the widget into the credential view for the specified institution.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | String                                  | Connect                               |
| `current_institution_guid`               | Load the widget into the credential view for the specified institution.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | String                                  | Connect                               |
| `current_member_guid`                    | Load to a specific member that contains an error or requires MFA from the most recent job. Takes precedence over `current_institution_code`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | String                                  | Connect                               |
| `deep_link_params.account_guid`          | Used to filter the data shown in the widget by account. Contains an `account_guid` (string) optional param.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | String                                  | Legacy Spending Widget                |
| `deep_link_params.date_range`            | Used to filter the data shown in the widget by date range. Set the `date_range` using `start_date` (string) and `end_date` (string).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | Object                                  | Legacy Spending Widget                |
| `deep_link_params.launch_integration`    | Enables a direct deposit integration. Set the `launch_integration` (string) param to `direct-deposit`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | Object                                  | Actionable Integration Widget         |
| `deep_link_params.widget`                | Opens the Master Widget a specific widget. Set the `widget` (string) param to `accounts`, `budgets`, `cash_flow`, `debts`, `finstrong`, `goals`, `insights`, `investments`, `networth`, `recurringtransactions`, `spending`, `transactions`, or `trends`.                                                                                                                                                                                                                                                                                                                                                                                        | Object                                  | Master Widget                         |
| `disable_background_agg`                 | Set to true or false to explicitly set the value of `background_aggregation_is_disabled` for new members created through the Connect Widget                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Boolean                                 | Connect                               |
| `disable_institution_search`             | When set to true, the institution search feature will be disabled and end users will not be able to navigate to it. Must be used with `current_institution_code`, `current_institution_guid`, or `current_member_guid`.                                                                                                                                                                                                                                                                                                                                                                                                                          | Boolean                                 | Connect                               |
| `include_identity`                       | This determines whether account owner identification data (AOI, previously called "identity verification") aggregates after the data that's specified by the `mode` finishes aggregating. <br /><br />Defaults to `false`. This can be set in either `aggregation` or `verification` mode. <br /><br /> Setting this to `true` will produce the following behaviors: <ul><li>The widget will only search for and display institutions that support the data the `mode` (`aggregation` or `verification`) is aggregating and AOI.</li><li>The member connected postMessage event will not be sent until both aggregations are complete.</li></ul> |                                         |                                       |
| `include_transactions`                   | When set to false while creating or updating a member, transaction data will not be automatically aggregated. Future manual or background aggregations will not be affected. Defaults to `true`.                                                                                                                                                                                                                                                                                                                                                                                                                                                 | Boolean                                 | Connect                               |
| `insight_guid`                           | Set this to the insight guid you want to appear at the top of the insights feed.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | String                                  | Pulse                                 |
| `iso_country_code`                       | An array of strings that filters institutions in the widget by the specified country code. Acceptable codes include `US`, `CA`, and `MX` (Mexico).                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | Array                                   | Connect                               |
| `microwidget_instance_id`                | Set this to a unique value for each instance of the Micro Widget. This lets us collect unique data for each instance of the widget.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | String                                  | Micro Widget                          |
| `mode`                                   | Loads the Connect Widget into the specified mode; options are verification and aggregation. Defaults to `aggregation`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | String                                  | Connect                               |
| `oauth_referral_source`                  | Must be either `BROWSER` or `APP` depending on the implementation. Defaults to `BROWSER`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | String                                  | Connect                               |
| `ui_message_webview_url_scheme`          | Used in postMessages and OAuth redirects in WebViews. Defaults to `mx`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | String                                  | Connect                               |
| `update_credentials` (not recommended)   | Loads widget to the update credential view of a current member. This option is no longer recommended. Forcing a user to update credentials may make connection errors worse. Use `current_member_guid` by itself instead.                                                                                                                                                                                                                                                                                                                                                                                                                        | Boolean                                 | Connect                               |
| `use_cases`                              | Associates a use case with any `members` the widget creates. Valid values are `PFM` and/or `MONEY_MOVEMENT`. For more info, see [Member Use Cases](/nexus/member-use-cases).                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Array                                   | Connect, Connections                  |
| `wait_for_full_aggregation` (deprecated) | This option is now ignored. Connect now behaves as if this was set to true and will wait until the member is done aggregating before completing.  This change does not require anyone to update their integration and only affects the timing of the member connected post message. If you strongly feel like you need the old behavior, reach out to support.                                                                                                                                                                                                                                                                                   | Boolean                                 | Connect                               |
| `hide_mark_as_duplicate`                 | Hides the "mark as duplicate" feature option in the widget.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | Boolean                                 | Connections                           |
| `hide_partner_managed_members`           | Hides any "home" members that are managed by the partner.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Boolean                                 | Connections                           |
| `selected_institution_guid`              | Loads the widget to a specific selected institution.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | String                                  | Connections                           |
| `selected_member_guid`                   | Loads the widget to a selected member.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | String                                  | Connections                           |
| `update_credentials`                     | Loads to the update credential feature for a current member. Optionally used with `selected_member_guid`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | Boolean                                 | Connections                           |
| `hide_account_filter`                    | Hides the account filter feature within the widget.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              | Boolean                                 | Transactions                          |
| `selected_account_guid`                  | Loads the widget to a selected account.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | String                                  | Transactions                          |
| `locale`                                 | Sets the language of the widget. If you're requesting the Connect or Connections Widgets, you must use the Accept-Language header.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | String                                  | All **except** Connect or Connections |
| `style`                                  | Sets the widget's font. Pass `font_name: {font name}` with any Google font to change it.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | Object                                  | All                                   |
| `view`                                   | When used with the Cash Flow, Settings, or Money Dashboard widget, sets the widget's default view. Valid value for Cash Flow or Money Dashboard Widgets is `manage_income.` Valid values for the Notifications section of the Settings Widget (`notifications_settings_widget`) are `accounts`,  `budgets`, or `insights`.                                                                                                                                                                                                                                                                                                                       | Money Dashboard, Cash Flow, or Settings |                                       |
